Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 3635)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -205,9 +208,5 @@
        REAL(wp) ::  fmax_l(2) !<
        
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
-#endif
 
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  a0   !<
Index: /palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_pw.f90	(revision 3635)
+++ /palm/trunk/SOURCE/advec_s_pw.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3547 2018-11-21 13:21:24Z suehring
 ! variables documented
 ! 
@@ -136,9 +139,5 @@
        REAL(wp)     ::  gv  !< local additional advective velocity
 
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
-#endif
  
 
@@ -207,9 +206,5 @@
        REAL(wp)     ::  gv  !< local additional advective velocity
 
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
-#endif
 
 
Index: /palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_up.f90	(revision 3635)
+++ /palm/trunk/SOURCE/advec_s_up.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3547 2018-11-21 13:21:24Z suehring
 ! variables documented
 ! 
@@ -133,9 +136,6 @@
        REAL(wp) ::  vkomp !< advection velocity along y-direction 
        REAL(wp) ::  wkomp !< advection velocity along z-direction 
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !< treated scalar
-#else
+
        REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !< treated scalar
-#endif
 
 
@@ -213,9 +213,5 @@
        REAL(wp) ::  wkomp !< advection velocity along z-direction 
        
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !< treated scalar
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !< treated scalar
-#endif
 
 
Index: /palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3622 2018-12-12 09:52:53Z schwenkel
 ! Important bugfix in case of restart runs.
 ! 
@@ -185,11 +188,4 @@
 
     USE arrays_3d,                                                             &
-#if defined (__nopointer)
-        ONLY:  ddzu, diss, dzu, dzw, hyp, hyrho,                               &
-               nc,                   nc_p, nr,                   nr_p,         &
-               precipitation_amount, prr, pt, d_exner, pt_init, q, ql,         &
-               qc,                   qc_p, qr,                   qr_p,         &
-               exner, zu, tnc_m, tnr_m, tqc_m, tqr_m
-#else
         ONLY:  ddzu, diss, dzu, dzw, hyp, hyrho,                               &
                nc, nc_1, nc_2, nc_3, nc_p, nr, nr_1, nr_2, nr_3, nr_p,         &
@@ -197,5 +193,4 @@
                qc, qc_1, qc_2, qc_3, qc_p, qr, qr_1, qr_2, qr_3, qr_p,         &
                exner, zu, tnc_m, tnr_m, tqc_m, tqr_m
-#endif
 
     USE averaging,                                                             &
@@ -824,19 +819,11 @@
        INTEGER(iwp) ::  k !<
 !
-!--          Liquid water content
-#if defined( __nopointer )
-       ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
+!--    Liquid water content
        ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
 
 !
 !--    3D-cloud water content
        IF ( .NOT. microphysics_morrison )  THEN
-#if defined( __nopointer )
-          ALLOCATE( qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE( qc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
        ENDIF
 !
@@ -851,12 +838,4 @@
 !
 !--       3D-cloud drop water content, cloud drop concentration arrays
-#if defined( __nopointer )
-          ALLOCATE( nc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    nc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    qc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    tnc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
-                    tqc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE( nc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     nc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
@@ -865,5 +844,4 @@
                     qc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     qc_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
        ENDIF
 
@@ -871,12 +849,4 @@
 !
 !--       3D-rain water content, rain drop concentration arrays
-#if defined( __nopointer )
-          ALLOCATE( nr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    nr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    qr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
-                    qr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
-                    tnr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
-                    tqr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE( nr_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     nr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
@@ -885,8 +855,6 @@
                     qr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
                     qr_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
        ENDIF
 
-#if ! defined( __nopointer )
 !
 !--    Initial assignment of the pointers
@@ -903,5 +871,4 @@
           nr => nr_1;  nr_p  => nr_2;  tnr_m  => nr_3
        ENDIF
-#endif
 
 
@@ -1032,14 +999,4 @@
        IF ( bulk_cloud_model )  THEN
 
-#if defined( __nopointer )
-          IF ( microphysics_morrison )  THEN
-             qc = qc_p
-             nc = nc_p
-          ENDIF
-          IF ( microphysics_seifert )  THEN
-             qr = qr_p
-             nr = nr_p
-          ENDIF
-#else
           SELECT CASE ( mod_count )
 
@@ -1067,5 +1024,4 @@
 
           END SELECT
-#endif
 
        ENDIF
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 3635)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3634 2018-12-18 12:31:28Z knoop
 ! OpenACC port for SPEC
 ! 
@@ -168,9 +171,5 @@
        INTEGER(iwp) ::  wind_component !<
        
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !<
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  var
-#endif
 
 
@@ -261,9 +260,5 @@
        INTEGER(iwp) ::  wind_component !<
        
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !<
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  var
-#endif
 
 
Index: /palm/trunk/SOURCE/calc_mean_profile.f90
===================================================================
--- /palm/trunk/SOURCE/calc_mean_profile.f90	(revision 3635)
+++ /palm/trunk/SOURCE/calc_mean_profile.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3241 2018-09-12 15:02:00Z raasch
 ! omp_get_thread_num now declared in openmp directive,
 ! unused variable removed
@@ -110,9 +113,5 @@
        INTEGER(iwp) ::  tn                 !<
        
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(:,:,:) ::  var  !<
-#else
        REAL(wp), DIMENSION(:,:,:), POINTER ::  var
-#endif
 
 !
Index: /palm/trunk/SOURCE/chem_modules.f90
===================================================================
--- /palm/trunk/SOURCE/chem_modules.f90	(revision 3635)
+++ /palm/trunk/SOURCE/chem_modules.f90	(revision 3636)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3611 2018-12-07 14:14:11Z banzhafs
 ! Minor formatting
 !
@@ -43,7 +46,4 @@
 ! Initial revision
 !
-! 
-!
-!
 ! Authors:
 ! --------
@@ -56,6 +56,5 @@
 ! Description:
 ! ------------
-!> Definition of global palm-4u chemistry variables
-!> (Module written to define global palm-4u chemistry variables. basit 16Nov2017)
+!> Definition of global PALM-4U chemistry variables
 !------------------------------------------------------------------------------!
 !
@@ -115,11 +114,4 @@
     REAL(wp), DIMENSION(99,100)                       ::  cs_profile = 9999999.9_wp !< Namelist parameter: Chem conc for each spcs defined
 
-
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET   ::  cs                        !< chem spcs
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET   ::  cs_p                      !< prognostic value of chem spc
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET   ::  tcs_m                     !< weighted tendency of cs for previous sub-timestep (Runge-Kutta)
-
-#else                                                               
 !
 !-- Use pointers cs, cs_p and tcs_m to point arrays cs_1, cs_2, and cs_3
@@ -130,6 +122,4 @@
     REAL(wp), DIMENSION(:,:,:), POINTER               ::  cs_p                      !< pointer: prognostic value of sgs chem spcs 
     REAL(wp), DIMENSION(:,:,:), POINTER               ::  tcs_m                     !< pointer:
-
-#endif                                                                            
  
     CHARACTER (LEN=20)                ::  bc_cs_b             = 'dirichlet'         !< namelist parameter
Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3636)
@@ -22,9 +22,12 @@
 ! Current revisions:
 ! -----------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! nopointer option removed
+!
+! 3611 2018-12-07 14:14:11Z banzhafs
 ! Minor formatting             
 !
@@ -1674,15 +1677,12 @@
 
     IMPLICIT NONE
-!-- local variables
+
+!
+!-- Local variables
     INTEGER(iwp) ::  i                 !< running index for for horiz numerical grid points
     INTEGER(iwp) ::  j                 !< running index for for horiz numerical grid points
     INTEGER(iwp) ::  lsp               !< running index for chem spcs
     INTEGER(iwp) ::  lpr_lev           !< running index for chem spcs profile level
-!
-!-- NOPOINTER version not implemented yet
-! #if defined( __nopointer )
-!     message_string = 'The chemistry module only runs with POINTER version'
-!     CALL message( 'chemistry_model_mod', 'CM0001', 1, 2, 0, 6, 0 )      
-! #endif
+
 !
 !-- Allocate memory for chemical species
@@ -1703,5 +1703,5 @@
 
 
-    DO lsp = 1, nspec
+    DO  lsp = 1, nspec
        chem_species(lsp)%name    = spc_names(lsp)
 
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 3635)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3634 2018-12-18 12:31:28Z knoop
 ! OpenACC port for SPEC
 ! 
@@ -191,9 +194,7 @@
        REAL(wp), DIMENSION(1:surf_usm_v(3)%ns) ::  s_flux_usm_v_west  !< flux at west-facing vertical urban-type surfaces
        REAL(wp), DIMENSION(1:surf_def_h(2)%ns) ::  s_flux_t           !< flux at model top
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s  !< treated scalar
-#else
+
        REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !< treated scalar
-#endif
+
 
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j, k, m) &
@@ -522,9 +523,6 @@
        REAL(wp), DIMENSION(1:surf_usm_v(3)%ns) ::  s_flux_usm_v_west  !< flux at west-facing vertical urban-type surfaces
        REAL(wp), DIMENSION(1:surf_def_h(2)%ns) ::  s_flux_t           !< flux at model top
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s !< treated scalar
-#else
+
        REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !< treated scalar
-#endif
 
 !
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 3635)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3609 2018-12-07 13:37:59Z suehring
 ! Furhter correction in initialization of surfaces in cyclic-fill case
 ! 
@@ -771,18 +774,4 @@
               tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
-#if defined( __nopointer )
-    ALLOCATE( pt(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                               &
-              pt_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              u(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                &
-              u_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              v(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                &
-              v_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              w(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                                &
-              w_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                              &
-              tpt_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                            &
-              tu_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              tv_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-              tw_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
     ALLOCATE( pt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
               pt_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
@@ -799,5 +788,4 @@
        ALLOCATE( pt_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     ENDIF
-#endif
 
 !
@@ -824,26 +812,14 @@
 !
 !--    3D-humidity
-#if defined( __nopointer )
-       ALLOCATE( q(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-                 q_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 tq_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                          &
-                 vpt(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
        ALLOCATE( q_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
                  q_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
                  q_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
                  vpt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ) 
-#endif
 
        IF ( cloud_droplets )  THEN
 !
 !--       Liquid water content, change in liquid water content
-#if defined( __nopointer )
-          ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                        &
-                     ql_c(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
           ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
                      ql_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
 !
 !--       Real volume of particles (with weighting), volume of particles
@@ -858,13 +834,8 @@
 !
 !--    3D scalar arrays
-#if defined( __nopointer )
-       ALLOCATE( s(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
-                 s_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 ts_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
        ALLOCATE( s_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
                  s_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
                  s_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
+
     ENDIF
 
@@ -1070,6 +1041,4 @@
     ENDIF
 
-
-#if ! defined( __nopointer )
 !
 !-- Initial assignment of the pointers
@@ -1095,5 +1064,4 @@
        s => s_1;  s_p => s_2;  ts_m => s_3
     ENDIF    
-#endif
 
 !
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3635)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3620 2018-12-11 12:29:43Z moh.hefny
 ! update the 3d rad_lw_out array
 !
@@ -655,17 +658,4 @@
                                    zs_layer = 9999999.9_wp         !< soil layer depths (edge)
                                  
-#if defined( __nopointer )
-    TYPE(surf_type_lsm), TARGET  ::  t_soil_h,    & !< Soil temperature (K), horizontal surface elements
-                                     t_soil_h_p,  & !< Prog. soil temperature (K), horizontal surface elements
-                                     m_soil_h,    & !< Soil moisture (m3/m3), horizontal surface elements
-                                     m_soil_h_p     !< Prog. soil moisture (m3/m3), horizontal surface elements
-
-    TYPE(surf_type_lsm), DIMENSION(0:3), TARGET  ::  &
-                                     t_soil_v,       & !< Soil temperature (K), vertical surface elements
-                                     t_soil_v_p,     & !< Prog. soil temperature (K), vertical surface elements
-                                     m_soil_v,       & !< Soil moisture (m3/m3), vertical surface elements
-                                     m_soil_v_p        !< Prog. soil moisture (m3/m3), vertical surface elements
-
-#else
     TYPE(surf_type_lsm), POINTER ::  t_soil_h,    & !< Soil temperature (K), horizontal surface elements
                                      t_soil_h_p,  & !< Prog. soil temperature (K), horizontal surface elements
@@ -689,18 +679,5 @@
                                      m_soil_v_1,  & !<
                                      m_soil_v_2     !<
-#endif    
-
-#if defined( __nopointer )
-    TYPE(surf_type_lsm), TARGET   ::  t_surface_h,    & !< surface temperature (K), horizontal surface elements 
-                                      t_surface_h_p,  & !< progn. surface temperature (K), horizontal surface elements 
-                                      m_liq_h,        & !< liquid water reservoir (m), horizontal surface elements 
-                                      m_liq_h_p         !< progn. liquid water reservoir (m), horizontal surface elements 
-
-    TYPE(surf_type_lsm), DIMENSION(0:3), TARGET   ::  &
-                                      t_surface_v,    & !< surface temperature (K), vertical surface elements 
-                                      t_surface_v_p,  & !< progn. surface temperature (K), vertical surface elements 
-                                      m_liq_v,        & !< liquid water reservoir (m), vertical surface elements 
-                                      m_liq_v_p         !< progn. liquid water reservoir (m), vertical surface elements 
-#else
+
     TYPE(surf_type_lsm), POINTER  ::  t_surface_h,    & !< surface temperature (K), horizontal surface elements 
                                       t_surface_h_p,  & !< progn. surface temperature (K), horizontal surface elements 
@@ -724,19 +701,9 @@
                                       m_liq_v_1,      & !<
                                       m_liq_v_2         !<
-#endif
-
-#if defined( __nopointer )
+
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET :: m_liq_av
-#else
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET :: m_liq_av
-#endif
-
-#if defined( __nopointer )
+
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  t_soil_av, & !< Average of t_soil
                                                         m_soil_av    !< Average of m_soil
-#else
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  t_soil_av, & !< Average of t_soil
-                                                        m_soil_av    !< Average of m_soil
-#endif
 
     TYPE(surf_type_lsm), TARGET ::  tm_liq_h_m      !< liquid water reservoir tendency (m), horizontal surface elements 
@@ -4822,44 +4789,4 @@
 !--    even if they do not belong to the data type due to the 
 !--    pointer arithmetric (TARGET attribute is not allowed in a data-type). 
-#if defined( __nopointer )
-!
-!--    Horizontal surfaces
-       ALLOCATE ( m_liq_h_p%var_1d(1:surf_lsm_h%ns)                      )
-       ALLOCATE ( t_surface_h%var_1d(1:surf_lsm_h%ns)                    )
-       ALLOCATE ( t_surface_h_p%var_1d(1:surf_lsm_h%ns)                  )
-       ALLOCATE ( m_soil_h_p%var_2d(nzb_soil:nzt_soil,1:surf_lsm_h%ns)   )
-       ALLOCATE ( t_soil_h_p%var_2d(nzb_soil:nzt_soil+1,1:surf_lsm_h%ns) )
-
-!
-!--    Vertical surfaces
-       DO  l = 0, 3
-          ALLOCATE ( m_liq_v(l)%var_1d(1:surf_lsm_v(l)%ns)                        )
-          ALLOCATE ( m_liq_v_p(l)%var_1d(1:surf_lsm_v(l)%ns)                      )
-          ALLOCATE ( t_surface_v(l)%var_1d(1:surf_lsm_v(l)%ns)                    )
-          ALLOCATE ( t_surface_v_p(l)%var_1d(1:surf_lsm_v(l)%ns)                  )
-          ALLOCATE ( m_soil_v(l)%var_2d(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)     )
-          ALLOCATE ( m_soil_v_p(l)%var_2d(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns)   )
-          ALLOCATE ( t_soil_v(l)%var_2d(nzb_soil:nzt_soil+1,1:surf_lsm_v(l)%ns)   )
-          ALLOCATE ( t_soil_v_p(l)%var_2d(nzb_soil:nzt_soil+1,1:surf_lsm_v(l)%ns) )
-       ENDDO
-!
-!--    Allocate soil temperature and moisture. As these variables might be 
-!--    already allocated in case of restarts, check this. 
-       IF ( .NOT. ALLOCATED( m_liq_h%var_1d ) )                                &
-          ALLOCATE ( m_liq_h%var_1d(1:surf_lsm_h%ns) )
-       IF ( .NOT. ALLOCATED( m_soil_h%var_2d ) )                               &
-          ALLOCATE ( m_soil_h%var_2d(nzb_soil:nzt_soil,1:surf_lsm_h%ns) )
-       IF ( .NOT. ALLOCATED( t_soil_h%var_2d ) )                               &
-          ALLOCATE ( t_soil_h%var_2d(nzb_soil:nzt_soil,1:surf_lsm_h%ns) )
-
-       DO  l = 0, 3
-          IF ( .NOT. ALLOCATED( m_liq_v(l)%var_1d ) )                          &
-             ALLOCATE ( m_liq_v(l)%var_1d(1:surf_lsm_v(l)%ns) )
-          IF ( .NOT. ALLOCATED( m_soil_v(l)%var_2d ) )                         &
-             ALLOCATE ( m_soil_v(l)%var_2d(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )
-          IF ( .NOT. ALLOCATED( t_soil_v(l)%var_2d ) )                         &
-             ALLOCATE ( t_soil_v(l)%var_2d(nzb_soil:nzt_soil,1:surf_lsm_v(l)%ns) )
-       ENDDO
-#else
 !
 !--    Horizontal surfaces
@@ -4884,5 +4811,5 @@
           ALLOCATE ( t_soil_v_2(l)%var_2d(nzb_soil:nzt_soil+1,1:surf_lsm_v(l)%ns) )
        ENDDO
-#endif
+
 !
 !--    Allocate array for heat flux in W/m2, required for radiation?
@@ -4986,6 +4913,4 @@
        ENDDO
 
-   
-#if ! defined( __nopointer )
 !
 !--    Initial assignment of the pointers
@@ -5001,6 +4926,4 @@
        m_soil_v    => m_soil_v_1;    m_soil_v_p    => m_soil_v_2
        m_liq_v     => m_liq_v_1;     m_liq_v_p     => m_liq_v_2
-
-#endif
 
 
@@ -5477,23 +5400,4 @@
        INTEGER, INTENT(IN) :: mod_count
 
-#if defined( __nopointer )
-!
-!--    Horizontal surfaces
-       t_surface_h  = t_surface_h_p
-       t_soil_h     = t_soil_h_p
-       IF ( humidity )  THEN
-          m_soil_h    = m_soil_h_p
-          m_liq_h  = m_liq_h_p
-       ENDIF
-!
-!--    Vertical surfaces
-       t_surface_v  = t_surface_v_p
-       t_soil_v     = t_soil_v_p
-       IF ( humidity )  THEN
-          m_soil_v    = m_soil_v_p
-          m_liq_v  = m_liq_v_p
-       ENDIF
-
-#else
     
        SELECT CASE ( mod_count )
@@ -5541,5 +5445,4 @@
 
        END SELECT
-#endif
 
     END SUBROUTINE lsm_swap_timelevel
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 3635)
+++ /palm/trunk/SOURCE/modules.f90	(revision 3636)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! nopointer option removed
+! 
+! 3597 2018-12-04 08:40:18Z maronga
 ! Added flag parameter do_output_at_2m for automatic output of 2m-temperature
 ! 
@@ -882,55 +885,4 @@
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  w_m_s       !< velocity data (w at south boundary) from time level t-dt required for radiation boundary condition
 
-#if defined( __nopointer )
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  diss       !< TKE dissipation
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  diss_p     !< prognostic value TKE dissipation
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  e          !< subgrid-scale turbulence kinetic energy (sgs tke)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  e_p        !< prognostic value of sgs tke
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  nc         !< cloud drop number density
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  nc_p       !< prognostic value of cloud drop number density
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  nr         !< rain drop number density
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  nr_p       !< prognostic value of rain drop number density
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  p          !< perturbation pressure
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  prho       !< potential density
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  pt         !< potential temperature
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  pt_p       !< prognostic value of potential temperature
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q          !< mixing ratio  
-                                                                   !< (or total water content with active cloud physics)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q_p        !< prognostic value of mixing ratio 
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qc         !< cloud water content
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qc_p       !< cloud water content
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  ql         !< liquid water content
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  ql_c       !< change in liquid water content due to 
-                                                                   !< condensation/evaporation during last time step
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  ql_v       !< volume of liquid water
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  ql_vp      !< liquid water weighting factor
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qr         !< rain water content
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qr_p       !< prognostic value of rain water content 
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  rho_ocean  !< density of ocean
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  s          !< passive scalar
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  s_p        !< prognostic value of passive scalar
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  sa         !< ocean salinity
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  sa_p       !< prognostic value of ocean salinity
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tdiss_m    !< weighted tendency of diss for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  te_m       !< weighted tendency of e for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tnc_m      !< weighted tendency of nc for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tnr_m      !< weighted tendency of nr for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tpt_m      !< weighted tendency of pt for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tq_m       !< weighted tendency of q for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tqc_m      !< weighted tendency of qc for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tqr_m      !< weighted tendency of qr for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  ts_m       !< weighted tendency of s for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tsa_m      !< weighted tendency of sa for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tu_m       !< weighted tendency of u for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tv_m       !< weighted tendency of v for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  tw_m       !< weighted tendency of w for previous sub-timestep (Runge-Kutta)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  u          !< horizontal velocity component u (x-direction)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  u_p        !< prognostic value of u
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  v          !< horizontal velocity component v (y-direction)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  v_p        !< prognostic value of v
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  vpt        !< virtual potential temperature
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  w          !< vertical velocity component w (z-direction)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  w_p        !< prognostic value of w
-#else
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  diss_1  !< pointer for swapping of timelevels for respective quantity
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  diss_2  !< pointer for swapping of timelevels for respective quantity
@@ -1026,5 +978,4 @@
     REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  w          !< pointer: vertical velocity component w (z-direction)
     REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  w_p        !< pointer: prognostic value of w
-#endif
 
     REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  tri    !<  array to hold the tridiagonal matrix for solution of the Poisson equation in Fourier space (4th dimension for threads)
@@ -1952,9 +1903,7 @@
 
           CHARACTER (LEN=*), INTENT(IN) ::  sk_char  !< string for treated scalar in Bott-Chlond scheme
-#if defined( __nopointer )
-          REAL(wp), DIMENSION(:,:,:) ::  sk  !< treated scalar array in Bott-Chlond scheme
-#else
+
           REAL(wp), DIMENSION(:,:,:), POINTER ::  sk  !< treated scalar array in Bott-Chlond scheme
-#endif
+
        END SUBROUTINE advec_s_bc
 
